Create a commitment request
curl --request POST \
--url https://{host}/cleemy-procurement/api/commitments/{id}/requests \
--header 'Authorization: <authorization>'import requests
url = "https://{host}/cleemy-procurement/api/commitments/{id}/requests"
headers = {"Authorization": "<authorization>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<authorization>'}};
fetch('https://{host}/cleemy-procurement/api/commitments/{id}/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 0,
"owner": {
"name": "John Doe",
"firstName": "John",
"lastName": "Doe",
"pictureHref": "https://example.ilucca.net/directory/api/employees/416/picture",
"id": 416,
"href": "https://example.ilucca.net/api/v3/users/416"
},
"assignee": {
"name": "John Doe",
"firstName": "John",
"lastName": "Doe",
"pictureHref": "https://example.ilucca.net/directory/api/employees/416/picture",
"id": 416,
"href": "https://example.ilucca.net/api/v3/users/416"
},
"businessObject": {
"id": 54635,
"costDate": "2025-04-14",
"invoiceDate": "2025-04-14",
"amountIncludingTaxes": {
"excludingTaxes": {
"value": 120,
"currency": "EUR"
},
"taxes": []
},
"type": "OneTimeCommitment",
"attachmentIds": [],
"state": "Created",
"comment": "Comment",
"paymentMethod": null,
"createdAt": "2024-09-24T10:02:01.9244011+00:00",
"author": {
"name": "John Doe",
"firstName": "John",
"lastName": "Doe",
"pictureHref": "https://example.ilucca.net/directory/api/employees/416/picture",
"id": 416,
"href": "https://example.ilucca.net/api/v3/users/416"
},
"modifiedAt": "2024-09-24T13:52:40.3558953+00:00",
"modifier": {
"name": "Matt Bawss",
"firstName": "Matt",
"lastName": "Bawss",
"pictureHref": "https://example.ilucca.net/directory/api/employees/979/picture",
"id": 979,
"href": "https://example.ilucca.net/api/v3/users/979"
}
},
"stepId": 1,
"workflowId": "qsd5q1c2xv",
"templateId": 1,
"state": "Pending",
"createdAt": "2025-07-01T13:27:11.485Z",
"modifiedAt": "2025-07-01T13:27:11.485Z",
"author": {
"name": "John Doe",
"firstName": "John",
"lastName": "Doe",
"pictureHref": "https://example.ilucca.net/directory/api/employees/416/picture",
"id": 416,
"href": "https://example.ilucca.net/api/v3/users/416"
},
"modifier": {
"name": "John Doe",
"firstName": "John",
"lastName": "Doe",
"pictureHref": "https://example.ilucca.net/directory/api/employees/416/picture",
"id": 416,
"href": "https://example.ilucca.net/api/v3/users/416"
}
}Approval Workflow
Create a commitment request
Trigger the approval workflow for a purchase commitment. Request body is expected to be empty.
POST
/
cleemy-procurement
/
api
/
commitments
/
{id}
/
requests
Create a commitment request
Headers
API key. Value must be formatted like so: lucca application={api_key}.
Path Parameters
ID of the commitment you want to create a request for.
Response
201 - application/json
Commitment request successfuly created.
Approval request (workflow) for a purchase commitment.
Reference to a user.
Show child attributes
Show child attributes
Reference to a user.
Show child attributes
Show child attributes
Commitment for a subscription.
- Subscription Commitment
- One-Time Commitment
Show child attributes
Show child attributes
Available options:
Pending, Cancelled, Denied, Approved Reference to a user.
Show child attributes
Show child attributes
Reference to a user.
Show child attributes
Show child attributes
Was this page helpful?
⌘I